List real estate shots
curl --request GET \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"image": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"first_frame": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"original_first_frame": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"animation_prompt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>"
},
"vfx_prompt": "<string>",
"description_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"camera_movement": "auto",
"status": "generation_requested",
"requested_duration_s": 123,
"requested_duration_mode": "auto",
"crop_x": 123,
"crop_y": 123,
"crop_width": 123,
"crop_height": 123,
"video_start_time_s": 123,
"video_end_time_s": 123,
"selected_video": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"name_tag": "<string>",
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"external_url": "<string>",
"thumbnail": "<string>",
"last_frame": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"num_frames": 123,
"framerate": 123,
"duration_s": 123,
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>"
},
"rendered_video": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"name_tag": "<string>",
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"external_url": "<string>",
"thumbnail": "<string>",
"last_frame": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"num_frames": 123,
"framerate": 123,
"duration_s": 123,
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>"
}
}
]
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Shots
List real estate shots
Return the ordered shots for one owned real estate project.
GET
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
shots
/
List real estate shots
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Was this page helpful?